Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# LineItem

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.LineItem

## Class Overview

Parcelable representing a line item in a shopping cart.

## Summary

Nested Classes
class | LineItem.Builder | Builder to create a `LineItem`.
interface | LineItem.Role | Role of a line item.

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<LineItem> | CREATOR |

Public Methods
int | describeContents()
String | getCurrencyCode()
String | getDescription()
String | getQuantity()
int | getRole()
String | getTotalPrice()
String | getUnitPrice()
int | getVersionCode()
static LineItem.Builder | newBuilder()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<LineItem> CREATOR

## Public Methods

#### public int describeContents ()

#### public String getCurrencyCode ()

##### Returns

- the ISO 4217 currency code of the transaction

#### public String getDescription ()

##### Returns

- the description

#### public String getQuantity ()

##### Returns

- the quantity

#### public int getRole ()

##### Returns

- the role

##### See Also

- `LineItem.Role`

#### public String getTotalPrice ()

##### Returns

- the total price

#### public String getUnitPrice ()

##### Returns

- the unit price

#### public int getVersionCode ()

#### public static LineItem.Builder newBuilder ()

#### public void writeToParcel (Parcel dest, int flags)